package com.imprimelibros.erp.presupuesto.validation;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

@Documented
@Constraint(validatedBy = ConsistentTiradasValidator.class)
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface ConsistentTiradas {
    String message() default "Las tiradas deben ser todas mayores o todas menores al valor POD";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
